/*
**
** LCD.c
**
** 7/30/06 LDJ v1.0
*/

#include <p24FJ128GA006.h>
#include "LCD.h"

void LCDdelay(int x)
	{
	int c;
	while(x--)
		{
		c = 1000;
		while(c--);
		}
	}

void initLCD( void)
{
    
    // init TMR1
	TRISE = 0;
	TRISD = 0;
	_LATD4 = 0;
  
    LCDdelay(40);
	writeLCD(0, 0x30);
    LCDdelay(10);
	writeLCD(0, 0x30);
    LCDdelay(10);
	writeLCD(0, 0x30);
	LCDdelay(10);
    //initiate the HD44780 display 8-bit init sequence
    writeLCD(0, 0x32);           // command register
    writeLCD(0, 0xC);         // display ON, cursor off, blink off
	writeLCD(0, 0x1);    		// clear display
    writeLCD(0, 0x6);         // increment cursor, no shift
} // initLCD


char readLCD( int addr)
{
    int dummy;
     _LATD5 = 0;              	// select the command address
	TRISE = 0xFF;
	_LATD4 = 1;
	_LATD3 = 1;
	dummy = PORTE;
	_LATD3 = 0;
	_LATD4 = 0;
    return( dummy);            // read the status register
    
} // readLCD


void writeLCD( int addr, char c)    
{
    while( busyLCD());
    TRISE = 0;
	_LATD5 = 0;
	if(addr) _LATD5 = 1;
    PORTE = c;
	_LATD3 = 1;
	_LATD3 = 0;
	LCDdelay(5);
} // writeLCD
    

void putsLCD( char *s)
{
    while( *s) putLCD( *s++);
} //putsLCD



